can-stache-loader

3.0.0 • Public • Published

version dependencies dev dependencies

CanJS Stache template loader for webpack

Compiles CanJS Stache templates with can-view-parser and allows to load them with webpack

How to install

NPM and Yarn

You can install the library using NPM:

npm install can-stache-loader --save-dev

or by Yarn:

yarn add can-stache-loader

How to use it

Configure webpack 2+

webpack.config.js

{
  module: {
    rules: [
      {
        test: /\.stache$/,
        use: {
          loader: 'can-stache-loader'
        }
      }
    ]
  }
}

Import stache templates in your CanJS project

import tpl from './template.stache';
 
const html = tpl({
 foo: 'bar'
});

CanJS Compatibility

This library works fine with CanJS version 4.0.0+ and webpack 2.0.0+.

License

MIT

Package Sidebar

Install

npm i can-stache-loader

Weekly Downloads

45

Version

3.0.0

License

MIT

Unpacked Size

2.55 MB

Total Files

22

Last publish

Collaborators

  • chasen
  • cherif_b
  • justinbmeyer
  • macku
  • matthewp
  • phillipskevin